Subject: Re: [domainrep] Reinventing opt-in, message streams, reputation as abidance

From: Jeff Macdonald <[email-masked]>
Date: Mon, 1 Nov 2010 16:12:47 -0400

On Mon, Oct 25, 2010 at 10:27 AM, John R. Levine <[email-masked]> wrote:
>>> "Yeah, we send a lot of spam, but it all has a real return address"!
>>>
>> Right now the value in the localpart of the i= value is totally opaque.
>> Right now you can't say anything about the reputation of the localpart
>> identifier in i= because you don't know anything about the policy of the
>> sender when creating it.
>> This would allow the sender to state their generating policy, and the
>> verifier to take advantage of it.
>> I feel that it can strengthen the white list uses of DKIM.
>
> Can you offer some examples?  It still seems to me that by the time you know
> that you believe a signer's rule for constructing the i= value, you probably
> want to whitelist all his mail anyway.
>
> Conversely, if the i= really indicates that there are multiple mail streams,
> why wouldn't it be better for him to use different d= domains?

I was thinking of free mail providers. It seems really impractical to
have a different d= value for each of it users. But then as I wrote
that, a better idea would be to have a small set (say 2 or 3) of d=
values to put their users into. Ah, so just treat this as a bit of
brain rot that just refreshed itself.

-- 
Jeff Macdonald
Ayer, MA